PythonTip >> 博文 >> python eclipse

eclipse 配置pydev

zihua 2013-12-19 10:12:58 点击: 1041 | 收藏


  最近要做一个workshop,是关于介绍测试用例里面用到的Python脚本,由于测试脚本用到了很多的自动化辅助工具abb(化名),里面提高的函数接口,于是打算把abb项目也顺便过一次。由于平时工作中用到的Python脚本,每个文件基本上都是在五百行以内,关联的文件不会超过二十个,因此平时都习惯于用vi直接在远程的服务器上开发与测试。而abb却是一个几万行,包含多个文件的工具包,因此,采用文本方式已经不合适,最便捷的就是借助IDE工具了。这里选择了eclipse。

  eclipse安装,JDK安装略过,比较简单而方便。接下来就是安装python以及pydev插件。由于abb的开发是基于python 2.7的,因此需要安装相应的python 以及pydev。

  python 2.7安装:
  链接:http://www.python.org/
  下载,安装,方便快捷。

  pydev 安装:
自动下载安装,follow主页:http://www.pydev.org/download.html
在这里遇到了问题,自动安装了最新的python 3.1:
eclipse -> help ->Install new software

单击 Work with 后面的 Add
Name: pydev
Location: http://pydev.org/updates
点击finish,并选中,可以看到找到了Pydev版本是3.1.0.

Issue:
忽略版本问题,直接点击安装。等到提示重启eclipse,点击确定。重启之后,eclipse里面没有找到pydev,没法创建python project。

初步怀疑,是因为系统中安装的python 版本是2.7而pydev用的是3.1,不匹配导致的。


手动下载plug-in包:
http://zh.sourceforge.jp/projects/sfnet_pydev/releases/?file_id=2187476

选择对应的版本下载,然后解压缩到eclipse下面的plugin文件夹中。重启eclipse。检查是否安装成功:
eclipse -> window -> Preferences 右边的控制面板里是否有PyDev。

最后,附上两个references:
http://www.cnblogs.com/sevenyuan/archive/2009/12/10/1620939.html
http://blog.csdn.net/zklth/article/details/8117563

原文链接:http://michaelhqs.iteye.com/blog/1990148

作者:zihua | 分类: python eclipse | 标签: python Eclipse | 阅读: 1041 | 发布于: 2013-12-19 10时 |